Create (upsert) an auto-delivery subscription
curl --request POST \
--url https://api.webhook.co/v1/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceEndpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destinationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"eventTypes": [
"<string>"
],
"requireVerified": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceEndpointId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
destinationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
provider: '<string>',
eventTypes: ['<string>'],
requireVerified: true
})
};
fetch('https://api.webhook.co/v1/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.webhook.co/v1/subscriptions"
payload = {
"sourceEndpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destinationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"eventTypes": ["<string>"],
"requireVerified": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.webhook.co/v1/subscriptions"
payload := strings.NewReader("{\n \"sourceEndpointId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"destinationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"provider\": \"<string>\",\n \"eventTypes\": [\n \"<string>\"\n ],\n \"requireVerified\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceEndpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destinationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"eventTypes": [
"<string>"
],
"requireVerified": true,
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}"<string>"Subscriptions
Create (upsert) an auto-delivery subscription
POST
/
v1
/
subscriptions
Create (upsert) an auto-delivery subscription
curl --request POST \
--url https://api.webhook.co/v1/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceEndpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destinationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"eventTypes": [
"<string>"
],
"requireVerified": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceEndpointId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
destinationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
provider: '<string>',
eventTypes: ['<string>'],
requireVerified: true
})
};
fetch('https://api.webhook.co/v1/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.webhook.co/v1/subscriptions"
payload = {
"sourceEndpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destinationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"eventTypes": ["<string>"],
"requireVerified": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.webhook.co/v1/subscriptions"
payload := strings.NewReader("{\n \"sourceEndpointId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"destinationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"provider\": \"<string>\",\n \"eventTypes\": [\n \"<string>\"\n ],\n \"requireVerified\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceEndpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destinationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"eventTypes": [
"<string>"
],
"requireVerified": true,
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}"<string>"Authorizations
A whk_-prefixed API key (opaque; not a JWT).
Body
application/json
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required string length:
1 - 80Maximum array length:
100Required string length:
1 - 200Response
Success.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Was this page helpful?